--
-- Name: job; Type: TABLE; Schema: public
--

CREATE TABLE job (
    node_id character varying(255) NOT NULL,
    detached boolean NOT NULL,
    status character varying(255) NOT NULL,
    id bigint NOT NULL,
    process_id uuid NOT NULL,
    actor_id uuid NOT NULL
);


--
-- Name: job_id_seq; Type: SEQUENCE; Schema: public
--

CREATE SEQUENCE job_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER SEQUENCE job_id_seq OWNED BY job.id;

ALTER TABLE ONLY job
    ALTER COLUMN id SET DEFAULT nextval('job_id_seq'::regclass);


INSERT INTO job (process_id, node_id, actor_id, status, detached) (
    SELECT process_id, target_node_id, target_actor, 'PENDING', 'f'
    FROM emission
    WHERE complete <> 't'
);


DROP TABLE emission;

ALTER TABLE actor
        DROP COLUMN visible,
        ADD COLUMN online boolean NOT NULL default false,
        ADD COLUMN unresponsive boolean NOT NULL default false;

ALTER TABLE job
        ADD CONSTRAINT job_pkey PRIMARY KEY (id);

ALTER TABLE actor ADD COLUMN config VARCHAR NOT NULL DEFAULT '';
